Skip to content
Start here

Billing History Details

Deprecated
client.user.billing.history.list(HistoryListParams { action, occurred_at, order, 3 more } query?, RequestOptionsoptions?): V4PagePaginationArray<BillingHistory { id, action, amount, 5 more } >
GET/user/billing/history

Accesses your billing history object.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
query: HistoryListParams { action, occurred_at, order, 3 more }
action?: string

The billing item action.

maxLength30
occurred_at?: string

When the billing item was created.

formatdate-time
order?: "type" | "occurred_at" | "action"

Field to order billing history by.

One of the following:
"type"
"occurred_at"
"action"
page?: number

Page number of paginated results.

minimum1
per_page?: number

Number of items per page.

maximum50
minimum5
type?: string

The billing item type.

maxLength30
ReturnsExpand Collapse
BillingHistory { id, action, amount, 5 more }
id: string

Billing item identifier tag.

maxLength32
action: string

The billing item action.

maxLength30
amount: number

The amount associated with this billing item.

currency: string

The monetary unit in which pricing information is displayed.

description: string

The billing item description.

maxLength255
occurred_at: string

When the billing item was created.

formatdate-time
type: string

The billing item type.

maxLength30
zone: Zone { name }
name?: string

Billing History Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const billingHistory of client.user.billing.history.list()) {
  console.log(billingHistory.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "currency": "USD",
      "description": "The billing item description",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "type": "charge",
      "zone": {
        "name": "name"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "currency": "USD",
      "description": "The billing item description",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "type": "charge",
      "zone": {
        "name": "name"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}